Bug 71251 - up2date - Problem if you click Back from "All Finished" page
up2date - Problem if you click Back from "All Finished" page
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-08-11 01:19 EDT by Warren Togami
Modified: 2015-01-07 18:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-12 17:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-08-11 01:19:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020724

Description of problem:
When up2date-2.9.38-7.x.9 has completed updating the system, you click Forward
to reach the All Finished page.  At this point if you click Back, it freezes for
a long while, then this huge window pops up with many messages like:
('package gnome-python2-1.99.3 is already installed',(2,None OL))

Many of these text lines appear in a message bow, showing all package names in a
long vertical window where I cannot see the top or bottom because it is so tall.

It appears that the Back button should be disallowed once you reach the All
Finished page.

Version-Release number of selected component (if applicable):
Red Hat Limbo2

How reproducible:

Steps to Reproduce:
1. Fresh Limbo2 install.
2. Manually upgrade up2date*, rpm*, python*, rh* from Rawhide.
3. up2date GUI version
4. When you reach the All Finished page, click Back and wait a while.

Actual Results:  
Freezes for a while, then pops up ugly and tall error box.  It appears that it
attempted to install the packages again.

Expected Results:  
It shouldn't let you go Back from the All Finished page.
Comment 1 Warren Togami 2002-08-11 01:20:42 EDT
"message bow" above should read "message window"
Comment 2 Adrian Likins 2002-08-12 17:27:37 EDT
missed some signal changes in gtk2. All the bottons should
be getting properly set insensitive now (earlier versions 
they werent at all).

Now the "back" button shouldnt be enabled on that screen,
so now you cant go back at that point.

fixed in cvs, should show up in 2.9.40
Comment 3 Jay Turner 2002-08-30 01:55:46 EDT
Fix confirmed with up2date-2.9.61-1.

Note You need to log in before you can comment on or make changes to this bug.